package it.imolinfo.cgil.exception;

/**
 * The default exception used within the Component XML-RPC.
 * 
 * @author <a href="mailto:gvaleri@imolinfo.it">Giancarlo Valeri</a>
 */
public class ComponentXmlRpcException extends Exception {
    
    /**
     * A constructor.
     *
     * @param    message        The message of the exception.
     */
    public ComponentXmlRpcException(final String message) {
        super(message);
    }

    /**
     * A constructor.
     *
     * @param    message        The message of the exception.
     * @param    cause        The cause of the exception.
     */
    public ComponentXmlRpcException(final String message, final Throwable cause) {
        super(message, cause);
    }

    /**
     * A constructor.
     *
     * @param    cause    The cause of the exception.
     */
    public ComponentXmlRpcException(final Throwable cause) {
        super(cause);
    }
}
